Debian Bug report logs - #369755
Use dh_iconcache to update GTK's icon cache.

version graph

Package: debhelper; Maintainer for debhelper is Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>; Source for debhelper is src:debhelper.

Reported by: Daniel Holbach <daniel.holbach@ubuntu.com>

Date: Thu, 1 Jun 2006 05:48:01 UTC

Severity: wishlist

Tags: patch

Merged with 329460

Found in version debhelper/5.0.35

Fixed in version debhelper/5.0.51

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: submit@bugs.debian.org
Subject: Use dh_iconcache to update GTK's icon cache.
Date: Thu, 01 Jun 2006 07:38:27 +0200
[Message part 1 (text/plain, inline)]
Package: debhelper
Version: 5.0.35
Severity: wishlist
Tags: patch

The following patch will add functionality to debhelper to easily create
a .postinst and .postrm to handle the GTK icon cache. It
uses /usr/bin/gtk-update-icon-cache (of libgtk2.0-bin, if available) to
manage an mmap()able file, which makes icon look up faster and shortens
the amount of used memory for GTK processes by ~300k. XFCE and GNOME
will benefit of this.

The implementation of GTK's icon cache wants to have a changed mtime in
the directory above of the one where icons were added. As this doesn't
happen automatically, using dh_iconcache makes this easier for package
maintainers.

Have a nice day,
 Daniel

[dh_iconcache.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #10 received at 369755@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Daniel Holbach <daniel.holbach@ubuntu.com>, 369755@bugs.debian.org
Subject: Re: Bug#369755: Use dh_iconcache to update GTK's icon cache.
Date: Thu, 01 Jun 2006 18:50:11 +0200
[Message part 1 (text/plain, inline)]
Le jeudi 01 juin 2006 à 07:38 +0200, Daniel Holbach a écrit :
> Package: debhelper
> Version: 5.0.35
> Severity: wishlist
> Tags: patch
> 
> The following patch will add functionality to debhelper to easily create
> a .postinst and .postrm to handle the GTK icon cache. It
> uses /usr/bin/gtk-update-icon-cache (of libgtk2.0-bin, if available) to
> manage an mmap()able file, which makes icon look up faster and shortens
> the amount of used memory for GTK processes by ~300k. XFCE and GNOME
> will benefit of this.
> 
> The implementation of GTK's icon cache wants to have a changed mtime in
> the directory above of the one where icons were added. As this doesn't
> happen automatically, using dh_iconcache makes this easier for package
> maintainers.

Maybe you should exclude at least the gnome and hicolor directories from
the generation, as there is no clean upgrade path for packages shipping
icons in these directories.
-- 
 .''`.           Josselin Mouette        /\./\
: :' :           josselin.mouette@ens-lyon.org
`. `'                        joss@debian.org
  `-  Debian GNU/Linux -- The power of freedom
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #15 received at 369755@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Daniel Holbach <daniel.holbach@ubuntu.com>, 369755@bugs.debian.org
Subject: Re: Use dh_iconcache to update GTK's icon cache.
Date: Thu, 1 Jun 2006 19:01:39 +0200
        Hi,

On Thu, Jun 01, 2006, Daniel Holbach wrote:
> The following patch will add functionality to debhelper to easily create
> a .postinst and .postrm to handle the GTK icon cache. It
> uses /usr/bin/gtk-update-icon-cache (of libgtk2.0-bin, if available) to
> manage an mmap()able file, which makes icon look up faster and shortens
> the amount of used memory for GTK processes by ~300k. XFCE and GNOME
> will benefit of this.
> 
> The implementation of GTK's icon cache wants to have a changed mtime in
> the directory above of the one where icons were added. As this doesn't
> happen automatically, using dh_iconcache makes this easier for package
> maintainers.

 It is interesting to note that the icon cache approach breaks backward
 compatibility by not checking for real files in case of cache misses.

 This means that there will be a large transition period to add the icon
 cache updating flag.

 Instead of adding to debhelper now, and instantly creating a source of
 pixmaps/icons bugs, I propose introducing a common postinst snipset in
 a shared package (perhaps a desktop-common-postinst package or a
 foobarhelper) where we could switch a flag on to switch to the gtk icon
 cache world.
   This would permit preparing all apps first, then making the
 transition transparently.

   Bye,
-- 
Loïc Minier <lool@dooz.org>



Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #20 received at 369755@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: Loïc Minier <lool@dooz.org>
Cc: 369755@bugs.debian.org
Subject: Re: Use dh_iconcache to update GTK's icon cache.
Date: Thu, 01 Jun 2006 19:40:44 +0200
[Message part 1 (text/plain, inline)]
Hello Loïc,

Am Donnerstag, den 01.06.2006, 19:01 +0200 schrieb Loïc Minier: 
>  Instead of adding to debhelper now, and instantly creating a source of
>  pixmaps/icons bugs, I propose introducing a common postinst snipset in
>  a shared package (perhaps a desktop-common-postinst package or a
>  foobarhelper) where we could switch a flag on to switch to the gtk icon
>  cache world.

reading this and just having chatted to Jean-Christophe Dubacq, I really
like this idea. I think it's the best solution to the status quo and
will allow a smooth transition.

Thanks for that,
 Daniel

[signature.asc (application/pgp-signature, inline)]

Blocking bugs added: 369755 Request was from Michael Biebl <biebl@teco.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #27 received at 369755@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Daniel Holbach <daniel.holbach@ubuntu.com>, 369755@bugs.debian.org
Subject: Re: Bug#369755: Use dh_iconcache to update GTK's icon cache.
Date: Tue, 20 Jun 2006 04:45:22 -0400
[Message part 1 (text/plain, inline)]
Why did you add dh_iconcache to Ubuntu's fork of debhelper two full
months before emailing me about it? Did I miss your prior mail when you
were designing this and putting it into production?

http://kitenet.net/~joey/blog/entry/on_forking_debhelper.html

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #32 received at 369755@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: Joey Hess <joeyh@debian.org>
Cc: 369755@bugs.debian.org
Subject: Re: Bug#369755: Use dh_iconcache to update GTK's icon cache.
Date: Tue, 20 Jun 2006 16:27:32 +0200
[Message part 1 (text/plain, inline)]
Hello Joey,

On Tue, 2006-06-20 at 04:45 -0400, Joey Hess wrote: 
> Why did you add dh_iconcache to Ubuntu's fork of debhelper two full
> months before emailing me about it? Did I miss your prior mail when you
> were designing this and putting it into production?
> 
> http://kitenet.net/~joey/blog/entry/on_forking_debhelper.html

I wanted to get it tested beforehand and didn't want to offer a patch
that might have needed more work. Looking back, I maybe could have
talked to you beforehand about my intent of changing things. Getting it
tested was the right decision as it went through some iterations and
updates that made it work more seamlessly.

Have a nice day,
 Daniel

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #37 received at 369755@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Daniel Holbach <daniel.holbach@ubuntu.com>
Cc: 369755@bugs.debian.org
Subject: Re: Bug#369755: Use dh_iconcache to update GTK's icon cache.
Date: Tue, 20 Jun 2006 12:17:44 -0400
[Message part 1 (text/plain, inline)]
Daniel Holbach wrote:
> I wanted to get it tested beforehand

That is a totally lame excuse that I've heard Ubuntu people use far too
often. It doesn't fly and it PARTRICULARLY doesn't fly for debhelper.

> Getting it tested was the right decision as it went through some iterations
> and updates that made it work more seamlessly.

Debian and I are both perfectly capable of dealing with iterations and updates
to debhelper scripts. In fact, given that I do have TEN YEARS of expereicne
with writing debhelper scripts, I have been known to be able to prevent
needless interations, if people bother to take advantage of my experience.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Daniel Holbach <daniel.holbach@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #42 received at 369755@bugs.debian.org (full text, mbox):

From: Daniel Holbach <daniel.holbach@ubuntu.com>
To: Joey Hess <joeyh@debian.org>
Cc: 369755@bugs.debian.org
Subject: Re: Bug#369755: Use dh_iconcache to update GTK's icon cache.
Date: Tue, 20 Jun 2006 18:29:17 +0200
[Message part 1 (text/plain, inline)]
Hello Joey,

On Tue, 2006-06-20 at 12:17 -0400, Joey Hess wrote:
> Daniel Holbach wrote:
> > I wanted to get it tested beforehand
> 
> That is a totally lame excuse that I've heard Ubuntu people use far too
> often. It doesn't fly and it PARTRICULARLY doesn't fly for debhelper.

As you might have gathered from the discussion before, the change was
under discussion and Debian's GNOME team not happy with the change back
then - I personally wanted to get it tested and then be able to propose
a working solution.


> In fact, given that I do have TEN YEARS of expereicne
> with writing debhelper scripts, I have been known to be able to prevent
> needless interations, if people bother to take advantage of my experience.

I would never question your expertise and am happy to have you in the
discussion and to hear your advise on going forward.

Have a nice day,
 Daniel

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@teco.edu>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #47 received at 369755@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@teco.edu>
To: 369755@bugs.debian.org
Cc: Loïc Minier <lool@dooz.org>, Daniel Holbach <daniel.holbach@ubuntu.com>
Subject: Progress
Date: Thu, 27 Jul 2006 06:10:24 +0200
[Message part 1 (text/plain, inline)]
Hi,

has there been some progress with this issue?
My users are still bitten by this bug [1].
I consider to add a
"gtk-update-icon-cache -f /usr/share/icons/hicolor/"
to postinst as a temporary workaround.
Would that have some ill effects?

Thanks,
Michael

[1]http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=372466
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joey Hess <joeyh@debian.org>:
Bug#369755; Package debhelper. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to Joey Hess <joeyh@debian.org>. Full text and rfc822 format available.

Message #52 received at 369755@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Michael Biebl <biebl@teco.edu>
Cc: 369755@bugs.debian.org, Daniel Holbach <daniel.holbach@ubuntu.com>
Subject: Re: Progress
Date: Thu, 27 Jul 2006 08:45:46 +0200
On Thu, Jul 27, 2006, Michael Biebl wrote:
> has there been some progress with this issue?

 Not on my side, I'm far too busy with other issues, mostly of RC
 importance.

> My users are still bitten by this bug [1].

 The only reason they would be affected is one of:
 - they installed your package after a package from Debian which calls
   gtk-update-icon-cache (erroneously); find it, file a RC
 - they installed your package after a package from another distribution
   which calls gtk-update-icon-cache, they are basically on their own

> I consider to add a
> "gtk-update-icon-cache -f /usr/share/icons/hicolor/"
> to postinst as a temporary workaround.
> Would that have some ill effects?

 That would be terrible, you would break all packages installed after
 your package.

-- 
Loïc Minier <lool@dooz.org>



Blocking bugs of 369755 added: 407837 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forcibly Merged 329460 369755. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Aug 2007 07:30:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:15:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.